Public Member Functions

# BinNavi.API.debug.TargetInformation Class Reference

Describes the target architecture. More...

List of all members.

## Public Member Functions
boolean | canDetach ()
| Checks whether the debugger supports detaching.
boolean | canHalt ()
| Checks whether the debugger supports halting.
boolean | canMapMemory ()
| Checks whether the debugger supports memory mapping.
boolean | canMultithread ()
| Checks whether the debugger supports multithreading.
boolean | canSoftwareBreakpoint ()
| Checks whether the debugger supports software breakpoints.
boolean | canTerminate ()
| Checks whether the debugger supports process termination.
boolean | canTracecount ()
boolean | canValidateMemory ()
| Checks whether the debugger supports memory validation.
int | getAddressSize ()
| Typical address size of the target architecture.
String | toString ()
| Printable representation of the target information.

## Detailed Description

Gives information about the target architecture and the target process.

## Member Function Documentation

boolean BinNavi.API.debug.TargetInformation.canDetach | ( |  | ) |

Checks whether the debugger can detach from the target process.

Returns:
  True, if the debugger can detach from the target process. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canHalt | ( |  | ) |

Checks whether the debugger can halt the target process.

Returns:
  True, if the debugger can halt the target process. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canMapMemory | ( |  | ) |

Checks whether the debugger can determine the memory layout of the target process.

Returns:
  True, if the debugger can determine the memory layout of the target process. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canMultithread | ( |  | ) |

Checks whether the target architecture supports multithreading.

Returns:
  True, if the target architecture supports multithreading. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canSoftwareBreakpoint | ( |  | ) |

Checks whether the target architecture supports software breakpoints.

Returns:
  True, if the target architecture supports software breakpoints. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canTerminate | ( |  | ) |

Checks whether the debugger can terminate the target process.

Returns:
  True, if the debugger can terminate the target process. False, otherwise.

boolean BinNavi.API.debug.TargetInformation.canTracecount | ( |  | ) |

Checks whether the debugger is able to handle breakpoint hit counts which are bigger than one.

Returns:
  True, if the debugger supports breakpoint hit counts bigger than one. False otherwise.

boolean BinNavi.API.debug.TargetInformation.canValidateMemory | ( |  | ) |

Checks whether the debugger can validate memory of the target process.

Returns:
  True, if the debugger can validate memory of the target process. False, otherwise.

int BinNavi.API.debug.TargetInformation.getAddressSize | ( |  | ) |

Returns the typical register size of the target architecture. For a 32bit architecture the return value is 32 for example.

Returns:
  The typical register size of the target architecture.

String BinNavi.API.debug.TargetInformation.toString | ( |  | ) |

Returns a string representation of the target information object.

Returns:
  A string representation of the target information object.